Skip to main content
`Ctrl`+`K`

# PetscLogStateGetStageFromName

Get a `PetscLogStage` from the name it was registered with.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateGetStageFromName(PetscLogState state, const char name[], PetscLogStage *stage)

Not collective

## Input Parameters

- state - a `PetscLogState`

- name - a stage’s name

## Output Parameter

- stage - the stage’s id

## See Also

Profiling, `PetscLogState`, `PetscLogStateStageRegister()`, `PetscLogStateStageGetInfo()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages